%global momorel 4

Summary:        ZFS ported to Linux FUSE
Name:           zfs-fuse
Version:        0.5.0
Release:        %{momorel}m%{?dist}
Group:          System Environment/Base
License:        "CDDL"
URL:            http://www.wizy.org/wiki/ZFS_on_FUSE
Source0:        http://download.berlios.de/zfs-fuse/%{name}-%{version}.tar.bz2
#NoSource:        0
Source1:        zfs-fuse.init
Source2:        zfs-fuse.sysconfig

Patch0:         zfs-fuse-trunk-008c531499cd.patch
Patch10:        zfs-fuse-strops.h.patch

BuildRequires:  fuse-devel libaio-devel scons zlib-devel
Requires:       fuse >= 2.7.4-1
Requires(post): chkconfig
Requires(preun):chkconfig initscripts
Requires(postun): initscripts
# (2008-10-30)(uwe@kubosch.no) zfs-fuse doesn't have PPC and PPC64 implementations for atomic instructions
ExcludeArch:    ppc64
ExcludeArch:    ppc
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ZFS is an advanced modern general-purpose filesystem from Sun
Microsystems, originally designed for Solaris/OpenSolaris.

This project is a port of ZFS to the FUSE framework for the Linux
operating system.

%prep
%setup -q
%patch0 -p1
%patch10 -p1

f=LICENSE
%{__mv} $f $f.iso88591
iconv -o $f -f iso88591 -t utf8 $f.iso88591
%{__rm} -f $f.iso88591

%build
pushd src
%{__sed} -i -e 's/-pipe -Wall -Werror/%{optflags}/' SConstruct
scons

%install
%{__rm} -rf %{buildroot}
pushd src
scons install install_dir=%{buildroot}%{_bindir}
%{__install} -Dp -m 0755 %{SOURCE1} %{buildroot}%{_initscriptdir}/%{name}
%{__install} -Dp -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
if [ $1 = 1 ] ; then
    /sbin/chkconfig --add %{name}
fi

%preun
if [ $1 = 0 ] ; then
    /sbin/service %{name} stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ] ; then
    /sbin/service %{name} condrestart >/dev/null 2>&1 || :
    rm -rf /var/run/zfs
    rm -rf /var/lock/zfs
fi

%files
%defattr(-, root, root, -)
%doc BUGS CHANGES contrib HACKING LICENSE README 
%doc README.NFS STATUS TESTING TODO
%{_bindir}/zdb
%{_bindir}/zfs
%{_bindir}/zfs-fuse
%{_bindir}/zpool
%{_bindir}/ztest
%{_initscriptdir}/%{name}
%{_sysconfdir}/sysconfig/%{name}

%changelog
* Thu Mar 12 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-4m)
- do not start by default

* Thu Feb 12 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-3m)
- add Source2: zfs-fuse.sysconfig

* Tue Dec 16 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- add Patch0: zfs-fuse-trunk-008c531499cd.patch

* Tue Dec 16 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-1m)
- import from Fedora to Momonga
- add Patch10: zfs-fuse-strops.h.patch

* Tue Nov 11 2008 Uwe Kubosh <uwe@kubosch.no> - 0.5.0-3.20081009
- Rebuild after import into Fedora build system.

* Thu Oct 09 2008 Uwe Kubosh <uwe@kubosch.no> - 0.5.0-2.20081009
- Updated to upstream trunk of 2008-10-09
- Adds changes to make zfs-fuse build out-of-the-box on Fedora 9, and removes the need for patches.

* Sat Oct  4 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.5.0-1 
- initial build
